#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################

# Create a new group 

$ścieżka= "LDAP://serwer1/cn=All Directors,DC=FBI,DC=net"
$gr = new-object system.directoryservices.directoryEntry($ścieżka)
if ([system.directoryservices.directoryEntry]::Exists($ścieżka))
{
"Group exists and will be deleted!"
$gr.PSBase.DeleteTree()
}

"Tworzenie grupy..."
$ścieżka= "LDAP://serwer1/DC=FBI,DC=net"
$połączenie = new-object system.directoryservices.directoryEntry($ścieżka)
$ou = $połączenie.PSBase.Children.Add("cn=Wszyscy kierownicy","group")
$ou.PSBase.CommitChanges()
$ou.samaccountname = "WKierownicy"
$ou.Description = "Grupa kierowników FBI"
$ou.PSBase.CommitChanges()
"Grupa została utworzona!"

# Dodawanie członka grupy
$ścieżka= "LDAP://serwer1/cn=Wszyscy kierownicy,DC=FBI,DC=net"
$gr = new-object system.directoryservices.directoryEntry($ścieżka)
$użytkownik = "LDAP://serwer1/CN=Walter Skinner,OU=Kierownicy,DC=FBI,DC=net"
$ou.Add($użytkownik)
"Użytkownik " + $użytkownik + " został dodany do grupy " + $ou

# Usuwanie członka grupy
$ścieżka= "LDAP://serwer1/cn=Wszyscy kierownicy,DC=FBI,DC=net"
$gr = new-object system.directoryservices.directoryEntry($ścieżka)
$użytkownik = "LDAP://serwer1/CN=Walter Skinner,OU=Kierownicy,DC=FBI,DC=net"
$ou.Remove($użytkownik)
"Użytkownik " + $użytkownik + " został usunięty z grupy " + $ou + "!"